Update a Webhook Configuration

Please be aware that using this endpoint requires the Manage Webhooks configurations security role.

put
https://your-bynder-domainDefaultValue/v7/webhooks/public/api/subscriptions/{id}

Path Parameters

idstringrequired

Webhook configuration ID.

Body

application/json

ApiV7WebhooksPublicApiSubscriptionsRequest1

eventsarray[string]
preArchivedNotificationDaysinteger

Example:5

Response

200

Webhook updated successfully

put/v7/webhooks/public/api/subscriptions/{id}

Body

{}
 
200

Ranges

Retrieve Webhook IP Ranges

Please be aware that using this endpoint requires either the View Webhooks configurations or Manage Webhooks configurations security role.

get
https://your-bynder-domainDefaultValue/v7/webhooks/public/api/ip-ranges

Response

200 application/json

Successful response

object
get/v7/webhooks/public/api/ip-ranges
 
200 application/json

ApiV7WebhooksPublicApiSubscriptionsRequest

object
endpointstring

Example:ENDPOINT URL OR ARN OR EMAIL

eventsarray[string]
namestring

Example:NAME OF WEBHOOK

preArchivedNotificationDaysinteger

Example:5

protocolstring

Example:PROTOCOL

Example

ApiV7WebhooksPublicApiSubscriptionsRequest1

object
eventsarray[string]
preArchivedNotificationDaysinteger

Example:5

Example